﻿using System;
using System.Collections.Generic;
using System.IO;

namespace tanfel
{
    class Bejegyzes
    {
        public string Tanar { get; set; }
        public string Targy { get; set; }
        public string Osztaly { get; set; }
        public int Oraszam { get; set; }
        public Bejegyzes(string tanar, string targy, string osztaly, string oraszam)
        {
            Tanar = tanar;
            Targy = targy;
            Osztaly = osztaly;
            Oraszam = int.Parse(oraszam);
        }
    }
    class Program
    {
        static List<Bejegyzes> tf = new List<Bejegyzes>();

        static void F1_beolvasas()
        {
            StreamReader sr = new StreamReader("beosztas.txt");
            while (!sr.EndOfStream)
            {
                tf.Add(new Bejegyzes(sr.ReadLine(), sr.ReadLine(), sr.ReadLine(), sr.ReadLine()));
            }

            sr.Close();
        }

        static int F3_szum()
        {
            int s = 0;
            for (int i = 0; i < tf.Count; i++)
            {
                s += tf[i].Oraszam;
            }
            return s;
        }

        static int F4_hetiora(string nev)
        {
            int s = 0;
            for (int i = 0; i < tf.Count; i++)
            {
                if (tf[i].Tanar == nev)
                    s += tf[i].Oraszam;
            }
            return s;
        }

        static void F5_ofok()
        {
            StreamWriter sw = new StreamWriter("of.txt");
            for (int i = 0; i < tf.Count; i++)
            {
                if (tf[i].Targy == "osztalyfonoki")
                    sw.WriteLine("{0} - {1}", tf[i].Osztaly, tf[i].Tanar);
            }
            sw.Close();
        }

        static bool F6_bontotte(string osztaly, string targy)
        {
            int db = 0;

            for (int i = 0 ; i < tf.Count && db < 2; i++)
                if (tf[i].Osztaly == osztaly && tf[i].Targy == targy)
                    db++;
            return db == 2;
        }

        static int F7_tanardb()
        {
            List<string> tanar = new List<string>();
            for (int i = 0; i < tf.Count; i++)
            {
                int j = 0;
                while (j < tanar.Count && tanar[j] != tf[i].Tanar)
                {
                    j++;
                }
                if (j == tanar.Count)
                    tanar.Add(tf[i].Tanar);
            }
            return tanar.Count;
        }

        static void Main(string[] args)
        {
            Console.WriteLine("1. feladat (beolvasas)");
            F1_beolvasas();

            Console.WriteLine("2. feladat");
            Console.WriteLine("A fájlban {0} bejegyzés van.", tf.Count);

            Console.WriteLine("3. feladat");
            Console.WriteLine("Az iskolában a heti összóraszám: {0}", F3_szum());

            Console.WriteLine("4. feladat");
            Console.Write("Egy tanár neve = ");
            string nev = Console.ReadLine();
            Console.WriteLine("A tanár heti óraszáma: {0}", F4_hetiora(nev));

            Console.WriteLine("5. feladat");
            F5_ofok();
            Console.WriteLine("A fájl elkészült");

            Console.WriteLine("6. feladat");
            Console.Write("Osztály = ");
            string osztaly = Console.ReadLine();
            Console.Write("Tantárgy = ");
            string targy = Console.ReadLine();
            Console.WriteLine("{0}", F6_bontotte(osztaly, targy)?"Csoportbontásban tanulják": "Osztályszinten tanulják");

            Console.WriteLine("7. feladat");
            Console.WriteLine("Az iskolában {0} tanár tanít.", F7_tanardb());
            
        }
    }
}
